# services/veles/artifacts-pvc.yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: veles-artifacts
  namespace: veles
  labels:
    app.kubernetes.io/name: veles
    app.kubernetes.io/component: artifacts
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: veles-oceanus-artifacts
  resources:
    requests:
      storage: 500Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: veles-engine-cache
  namespace: veles
  labels:
    app.kubernetes.io/name: veles
    app.kubernetes.io/component: engine-cache
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: veles-oceanus-artifacts
  resources:
    requests:
      storage: 100Gi
